package it.integry.integrywmsnative.core.rest.model.giacenza;

import java.math.BigDecimal;
import java.time.LocalDate;

import it.integry.integrywmsnative.core.model.MtbAart;

public class InstantItemSituationIncomingItemDto {

    private BigDecimal qtaOrd;
    private BigDecimal qtaEvasa;
    private BigDecimal numCnf;
    private BigDecimal numCnfEvasa;
    private BigDecimal qtaCnf;
    private String gestione;
    private LocalDate dataOrd;
    private int numOrd;
    private int rigaOrd;
    private LocalDate dataCons;
    private String codMart;
    private String descrizione;
    private String partitaMag;
    private String codJcom;
    private String codMdep;
    private String untMis;
    private MtbAart mtbAart;

    public BigDecimal getQtaOrd() {
        return qtaOrd;
    }

    public BigDecimal getQtaEvasa() {
        return qtaEvasa;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public BigDecimal getNumCnfEvasa() {
        return numCnfEvasa;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public String getGestione() {
        return gestione;
    }

    public LocalDate getDataOrd() {
        return dataOrd;
    }

    public int getNumOrd() {
        return numOrd;
    }

    public int getRigaOrd() {
        return rigaOrd;
    }

    public LocalDate getDataCons() {
        return dataCons;
    }

    public String getCodMart() {
        return codMart;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public String getUntMis() {
        return untMis;
    }

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public InstantItemSituationIncomingItemDto setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }
}
